logger.hpp File Reference

Some basic classes for logging. More...

`#include <ostream>`
`#include <list>`
`#include <string>`
`#include <claw/log_level.hpp>`
`#include <claw/log_stream.hpp>`
`#include <claw/impl/logger.tpp>`

Go to the source code of this file.

## Classes

class | claw::log_system
| A class implementing a logging system. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Functions

CLAW_LOGGER_EXPORT log_system & | claw::lendl (log_system &log)
| Add a new line caracter to a logger and flush it.
CLAW_LOGGER_EXPORT claw::log_system & | std::endl (claw::log_system &log)

## Detailed Description

Some basic classes for logging.

Author
  Julien Jorge

Definition in file logger.hpp.

## Macro Definition Documentation

## CLAW_LOGGER_EXPORT

#define CLAW_LOGGER_EXPORT

Definition at line 51 of file logger.hpp.

## Function Documentation

## endl()

claw::log_system & std::endl | ( | claw::log_system & | log | ) |

Definition at line 182 of file logger.cpp.